<div class="login-wrapper">
  <mat-card>
    <mat-card-title>Login</mat-card-title>
    <form [formGroup]="loginForm">
      <div>
        <mat-form-field>
          <input matInput formControlName="userName" placeholder="User Name">
        </mat-form-field>
      </div>
      <div>
        <mat-form-field>
          <input matInput formControlName="password" placeholder="password">
        </mat-form-field>
      </div>
      <div class="text-center mt20">
        <button mat-raised-button color="primary" [disabled]="loginForm.invalid" 
          (click)="onSubmit()">Login</button>
      </div>
    </form>
  </mat-card>
</div>